> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Mailbox Alias

> Create an alias for a customer mailbox.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.en.json POST /v1/public/accounts/{account_id}/mailboxes/{mailbox}/aliases
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/mailboxes/{mailbox}/aliases:
    post:
      tags:
        - public-accounts
        - public-mailboxes
      summary: Create Mailbox Alias
      description: Create an alias for a customer mailbox.
      operationId: >-
        create_public_mailbox_alias_v1_public_accounts__account_id__mailboxes__mailbox__aliases_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: mailbox
          required: true
          schema:
            title: Mailbox
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MailboxAliasCreateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MailboxAliasDTO'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - PublicBearerAuth: []
components:
  schemas:
    MailboxAliasCreateRequest:
      additionalProperties: false
      description: Request body for creating a mailbox alias.
      properties:
        alias:
          title: Alias
          type: string
        is_catch_all:
          default: false
          title: Is Catch All
          type: boolean
      required:
        - alias
      title: MailboxAliasCreateRequest
      type: object
    MailboxAliasDTO:
      properties:
        alias:
          description: Mailbox alias email address
          title: Alias
          type: string
        is_catch_all:
          default: false
          description: Whether this alias catches all unmatched local parts
          title: Is Catch All
          type: boolean
      required:
        - alias
      title: MailboxAliasDTO
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````